<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <h:head>
        <title>Home</title>
        <style>
            .encabezado{color: #fff !important; font-size: 40px !important; font-family: fantasy; text-align: center; display: block ; margin: auto}            .tablita{width: 75%; margin: auto;}
            body{background-color:#072e08;}
            .barrademenu{width: 80%; margin: auto}
            .btn-success{color:#fff;background-color:#5cb85c;border-color:#4cae4c}.btn-success.focus,.btn-success:focus{color:#fff;background-color:#449d44;border-color:#255625}.btn-success:hover{color:#fff;background-color:#449d44;border-color:#398439}.btn-success.active,.btn-success:active,.open>.dropdown-toggle.btn-success{color:#fff;background-color:#449d44;border-color:#398439}.btn-success.active.focus,.btn-success.active:focus,.btn-success.active:hover,.btn-success:active.focus,.btn-success:active:focus,.btn-success:active:hover,.open>.dropdown-toggle.btn-success.focus,.open>.dropdown-toggle.btn-success:focus,.open>.dropdown-toggle.btn-success:hover{color:#fff;background-color:#398439;border-color:#255625}.btn-success.active,.btn-success:active,.open>.dropdown-toggle.btn-success{background-image:none}.btn-success.disabled.focus,.btn-success.disabled:focus,.btn-success.disabled:hover,.btn-success[disabled].focus,.btn-success[disabled]:focus,.btn-success[disabled]:hover,fieldset[disabled] .btn-success.focus,fieldset[disabled] .btn-success:focus,fieldset[disabled] .btn-success:hover{background-color:#5cb85c;border-color:#4cae4c}
            .btn-danger{color:#fff;background-color:#d9534f;border-color:#d43f3a}.btn-danger.focus,.btn-danger:focus{color:#fff;background-color:#c9302c;border-color:#761c19}.btn-danger:hover{color:#fff;background-color:#c9302c;border-color:#ac2925}.btn-danger.active,.btn-danger:active,.open>.dropdown-toggle.btn-danger{color:#fff;background-color:#c9302c;border-color:#ac2925}.btn-danger.active.focus,.btn-danger.active:focus,.btn-danger.active:hover,.btn-danger:active.focus,.btn-danger:active:focus,.btn-danger:active:hover,.open>.dropdown-toggle.btn-danger.focus,.open>.dropdown-toggle.btn-danger:focus,.open>.dropdown-toggle.btn-danger:hover{color:#fff;background-color:#ac2925;border-color:#761c19}.btn-danger.active,.btn-danger:active,.open>.dropdown-toggle.btn-danger{background-image:none}.btn-danger.disabled.focus,.btn-danger.disabled:focus,.btn-danger.disabled:hover,.btn-danger[disabled].focus,.btn-danger[disabled]:focus,.btn-danger[disabled]:hover,fieldset[disabled] .btn-danger.focus,fieldset[disabled] .btn-danger:focus,fieldset[disabled] .btn-danger:hover{background-color:#d9534f;border-color:#d43f3a}

        </style>
    </h:head>
    <h:body style="background-color:#072e08;">
        <p:growl>
            <p:autoUpdate/>
        </p:growl>
        <h:form>
            <p:menubar class="barrademenu">
                <p:menuitem value="Inicio" url="home.xhtml"/>
                <p:menuitem value="Clientes" url="clientes.xhtml"/>
                <p:menuitem value="Control Ahorro" url="controlahorro.xhtml"/>
                <p:menuitem value="Usuarios" url="usuario.xhtml"/>
                <p:menuitem value="Categoria Ahorro" url="categoria.xhtml"/>
                <p:menuitem value="salir" url="index.xhtml"/>
            </p:menubar>
        </h:form>


        <h:form id="form_tabla">
            <h:outputText value="Control de ahorros clientes" class="encabezado"/>
            <p:dataTable value="#{bean_controlahorro.mostrarcontrolahorro}" var="item" class="tablita" paginator="true">
                <p:column>
                    <f:facet name="header">
                        <h:outputText value="DUI de Cliente"/>
                    </f:facet>
                    <h:outputText value="#{item.idDuiClienteControlahorro.DUIcliente}"/>                        
                </p:column>
                <p:column>
                    <f:facet name="header">
                        <h:outputText value="Tipo de Plan"/>
                    </f:facet>
                    <h:outputText value="#{item.idCategoriaControlahorro.planCategoriaahorro}"/>
                </p:column>
                <p:column>
                    <f:facet name="header">
                        <h:outputText value="Monto Ahorrado"/>
                    </f:facet>
                    <h:outputText value="#{item.valorAhorradoControlahorro}"/>
                </p:column>
                <p:column>
                    <f:facet name="header">
                        <h:outputText value="Accion"/>
                    </f:facet>
                    <p:menuButton value="Opcion">
                        <p:menuitem value="Deposito" class="btn-success" action="#{bean_controlahorro.mostrar_contro_id(item.idControlahorro)}" onclick="PF('deposito').show()" update="form_deposito"/>
                        <p:menuitem value="Retiro" class="btn-danger" action="#{bean_controlahorro.mostrar_contro_id(item.idControlahorro)}" onclick="PF('retiro').show()" update="form_retiro"/>
                    </p:menuButton>
                </p:column>
            </p:dataTable>
        </h:form>

        <p:dialog id="deposito" widgetVar="deposito" modal="true">
            <h:form id="form_deposito" style="text-align: center; margin: auto;">
                <h:outputText value="Deposito"/>
                <p:panelGrid columns="2">
                    <p:inputText type="hidden" value="Deposito a: "/>
                    <p:inputText type="hidden" id="idControlahorro" value="#{bean_controlahorro.id_controlahorro}" title="IdControlahorro" required="true" requiredMessage="The IdControlahorro field is required."/>
                    <p:outputLabel  value="Deposito a: "/>
                    <p:outputLabel value="#{bean_controlahorro.nombre}"/>
                    <p:outputLabel value="Valor a depositar:" for="valorAhorrado" />
                    <p:inputText id="valorAhorrado" value="#{bean_controlahorro.nuevo_valor_deposito}" title="ValorAhorradoControlahorro" required="true" requiredMessage="The ValorAhorradoControlahorro field is required."/>
                    <p:outputLabel value="Categoria de Ahorro:" for="idCategoriaControlahorrom" />
                    <p:selectOneMenu id="idCategoriaControlahorrom" value="#{bean_controlahorro.id_categoria_controlahorro}" required="true" requiredMessage="The IdCategoriaControlahorro field is required.">
                        <f:selectItems value="#{bean_controlahorro.mostrarcategorias}" var="categoria" itemLabel="#{categoria.planCategoriaahorro}" itemValue="#{categoria.idCategoriaahorro}"/>
                    </p:selectOneMenu>
                </p:panelGrid>
                <p:commandButton style="margin: auto; display: block;" value="Guardar" onclick="PF('deposito').hide();" update="form_tabla" action="#{bean_controlahorro.nuevo_deposito()}"/>
            </h:form>
        </p:dialog>

        <p:dialog id="retiro" widgetVar="retiro" modal="true">
            <h:form id="form_retiro" style="text-align: center; margin: auto;">
                <h:outputText value="Deposito"/>
                <p:panelGrid columns="2">
                    <p:inputText type="hidden" value="Deposito a: "/>
                    <p:inputText type="hidden" id="idControlahorro" value="#{bean_controlahorro.id_controlahorro}" title="IdControlahorro" required="true" requiredMessage="The IdControlahorro field is required."/>
                    <p:outputLabel  value="Retiro a: "/>
                    <p:outputLabel value="#{bean_controlahorro.nombre}"/>
                    <p:outputLabel value="Ahorro en existencia: "/>
                    <p:outputLabel value="$#{bean_controlahorro.valor_ahorrado_controlahorro}"/>
                    <p:outputLabel value="Valor a depositar:" for="valorAhorradoControlahorro" />
                    <p:inputText id="valorAhorradoControlahorro" value="#{bean_controlahorro.nuero_valor_retiro}" title="ValorAhorradoControlahorro" required="true" requiredMessage="The ValorAhorradoControlahorro field is required."/>
                </p:panelGrid>
                <p:commandButton style="margin: auto; display: block;" value="Retirar" onclick="PF('retiro').hide();" update="form_tabla" action="#{bean_controlahorro.nuevo_retiro()}"/>
            </h:form>
        </p:dialog>

    </h:body>
</html>
